<?php

namespace Chekonline\CashboxModule\Helper;


use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\App\Helper\Context;
use Magento\Store\Model\ScopeInterface;

class Data extends AbstractHelper
{
    const XML_PATH_CHEKONLINE = 'cashbox/general/';

    protected $storeManager;
    protected $objectManager;
    protected $productMetadata;

    /**
     * Data constructor.
     * @param Context $context
     * @param $objectManager
     * @param $storeManager
     */
    public function __construct(Context $context,
                                $objectManager,
                                $storeManager,
                                \Magento\Framework\App\ProductMetadataInterface $productMetadata)
    {
        $this->objectManager = $objectManager;
        $this->storeManager  = $storeManager;
        $this->productMetadata = $productMetadata;
        parent::__construct($context);
    }

    /**
     * @param $field
     * @param null $storeId
     * @return mixed
     */
    public function getConfigValue($field, $storeId = null)
    {
        return $this->scopeConfig->getValue(
            $field, ScopeInterface::SCOPE_STORE, $storeId
        );
    }

    /**
     * @param $code
     * @param null $storeId
     * @return mixed
     */
    public function getGeneralConfig($code, $storeId = null)
    {
        return $this->getConfigValue(self::XML_PATH_CHEKONLINE . $code, $storeId);
    }

    public function getMagentoVersion()
    {
        return $this->productMetadata->getVersion();
    }
}