<?php

namespace Chekonline\CashboxModule\Model\Config\Source;


use Magento\Framework\Option\ArrayInterface;

class PaymentMethod implements ArrayInterface
{
    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */
    protected $scope;

    /**
     * PaymentMethod constructor.
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scope
     */
    public function __construct(\Magento\Framework\App\Config\ScopeConfigInterface $scope)
    {
        $this->scope = $scope;
    }

    /**
     * Return array of options as value-label pairs
     *
     * @return array Format: array(array('value' => '<value>', 'label' => '<label>'), ...)
     */
    public function toOptionArray()
    {
        $methodList = $this->scope->getValue('payment');
        $optArray = array();
        foreach ($methodList as $methodCode => $method) {
            if (isset($method['active'])) {
                if ($method['active']) {
                    $optArray[] = array('value' => $methodCode, 'label' => $methodCode);
                }
            }
        }
        return $optArray;
    }
}