<?php

namespace Chekonline\CashboxModule\Model\ResourceModel\Receipt\Grid;


use Magento\Framework\Search\AggregationInterface;
use Magento\Framework\Api\Search\SearchResultInterface;
use Magento\Framework\View\Element\UiComponent\DataProvider\Document;
use Magento\Framework\Api\SearchCriteriaInterface;
use Chekonline\CashboxModule\Model\ResourceModel\Receipt\Collection as ReceiptCollection;

class Collection extends ReceiptCollection implements SearchResultInterface
{
    /**
     * @var \Magento\Framework\Api\Search\AggregationInterface
     */
    protected $aggregations;

    protected function _construct()
    {
        $this->_init(Document::class, ReceiptCollection::class);

    }

    /**
     * @return mixed
     */
    public function getAggregations()
    {
        return $this->aggregations;
    }

    /**
     * @param \Magento\Framework\Api\Search\AggregationInterface $aggregations
     */
    public function setAggregations($aggregations)
    {
        $this->aggregations = $aggregations;
    }

    /**
     * @param null $limit
     * @param null $offset
     * @return array
     */
    public function getAllIds($limit = null, $offset = null)
    {
        return $this->getConnection()->fetchCol($this->_getAllIdsSelect($limit, $offset), $this->_bindParams);
    }

    /**
     * @return null
     */
    public function getSearchCriteria()
    {
        return null;
    }

    /**
     * @param SearchCriteriaInterface|null $searchCriteria
     * @return $this
     */
    public function setSearchCriteria(SearchCriteriaInterface $searchCriteria = null)
    {
        return $this;
    }

    /**
     * @return int
     */
    public function getTotalCount()
    {
        return $this->getSize();
    }

    /**
     * @param int $totalCount
     * @return $this
     */
    public function setTotalCount($totalCount)
    {
        return $this;
    }

    /**
     * @param array|null $items
     * @return $this
     */
    public function setItems(array $items = null)
    {
        return $this;
    }

    /**
     * @return $this
     */
    protected function _afterLoadData()
    {
        $receipts = $this->_data;
        foreach ($receipts as $key => $receipt) {
            $receipts[$key]['status'] = $receipt['status'] == 0 ?__('В процессе печати'):__('Напечатан');
            $receipts[$key]['type'] = $receipt['type'] == 0 ?__('Продажа'):__('Возврат');
        }
        $this->_data = $receipts;
        return parent::_afterLoadData();
    }

}