<?php

namespace Chekonline\CashboxModule\Setup;


use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Ddl\Table;

class InstallSchema implements InstallSchemaInterface
{

    /**
     * Installs DB schema for a module
     *
     * @param SchemaSetupInterface $setup
     * @param ModuleContextInterface $context
     * @return void
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();
        $tableName = 'chekonlinecashbox_receipt';
        if ($installer->tableExists($tableName) != true) {
            $table = $installer->getConnection()
                        ->newTable($installer->getTable($tableName))
                        ->addColumn(
                            'id',
                            Table::TYPE_INTEGER,
                            null,
                            [
                                'identity' => true,
                                'unsigned' => true,
                                'nullable' => false,
                                'primary' => true
                            ],
                            'ID'
                        )
                        ->addColumn(
                            'order_number',
                            Table::TYPE_TEXT,
                            null, [
                                'length' => 255,
                                'nullable' => false
                            ],
                            'ORDER_NUMBER'
                        )
                        ->addColumn(
                            'type',
                            Table::TYPE_INTEGER,
                            null,[
                                'unsigned' => true,
                                'nullable' => false,
                            ],
                            'TYPE'
                        )
                        ->addColumn(
                            'status',
                            Table::TYPE_INTEGER,
                            null,[
                                'unsigned' => true,
                                'nullable' => false,
                            ],
                            'STATUS'
                        )
                        ->addColumn(
                            'date_of_printing',
                            Table::TYPE_DATETIME,
                            null,[
                                'nullable' => false,
                            ],
                            'DATE_OF_PRINTING'
                        )
                        ->setComment('Chekonline Receipt Table');
            $installer->getConnection()->createTable($table);
        }
        $installer->endSetup();
    }
}